diff -ruN sendmail-8.13.8-old/sendmail/conf.c sendmail-8.13.8/sendmail/conf.c
--- sendmail-8.13.8-old/sendmail/conf.c	2007-04-16 06:30:29.000000000 -0400
+++ sendmail-8.13.8/sendmail/conf.c	2007-04-16 06:32:34.000000000 -0400
@@ -6594,6 +6594,10 @@
 /* Chris Adams of HiWAAY Informations Services */
 	"_FFR_SPT_ALIGN",
 #endif /* _FFR_SPT_ALIGN */
+#if _FFR_CONNECT_FROM_NULL
+	/* spend some effort to ensure we log something usefull upon receiving a connection */
+	"_FFR_CONNECT_FROM_NULL",
+#endif /* _FFR_CONNECT_FROM_NULL */
 #if _FFR_SS_PER_DAEMON
 	/* SuperSafe per DaemonPortOptions: 'T' (better letter?) */
 	"_FFR_SS_PER_DAEMON",
diff -ruN sendmail-8.13.8-old/sendmail/main.c sendmail-8.13.8/sendmail/main.c
--- sendmail-8.13.8-old/sendmail/main.c	2007-04-16 06:30:24.000000000 -0400
+++ sendmail-8.13.8/sendmail/main.c	2007-04-16 06:30:35.000000000 -0400
@@ -2542,7 +2542,22 @@
 	if (LogLevel > 9)
 	{
 		/* log connection information */
+#if _FFR_CONNECT_FROM_NULL
+		char *confrom = authinfo;
+
+		if (!confrom)
+		{
+			if (RealHostName)
+				confrom = RealHostName;
+			else
+				confrom = anynet_ntoa(&RealHostAddr);
+			if (!confrom)
+				confrom = "unknown";
+		}
+		sm_syslog(LOG_INFO, NULL, "connect from %s", confrom);
+#else /* _FFR_CONNECT_FROM_NULL */
 		sm_syslog(LOG_INFO, NULL, "connect from %s", authinfo);
+#endif /* _FFR_CONNECT_FROM_NULL */
 	}
 
 	/*
